Subject: Re: The exciting world of Carnivorous Plants

From: [email-masked] (Harold Slater)
Date: 22 Dec 1994 00:52:19 GMT

Cocobahn ([email-masked]) wrote:
: Does anyone want to chat about carnivorous plants? I just discovered these
: amazingly clever plants, and would like to talk about them. Any takers?
: I'm particularly keen on their origin. I'm not a scientist (I'm actually
: an editor at a computer mag.), but, hell, if I'd discovered them earlier,
: I'd have spent my life in the topies (sp?) in Venezuela.

If you want to chat about carnivorous plants you should join the
carnivorous plant mailing list.

send a mail message to:
                       [email-masked]
                       do not put anything in the subject blank
                       body of message should just read

                       subscribe cp "name"

Harold